% Approximation of values (x(i),y(i))for i=1,..,N 
% by a symbolic function f(x)=s1*x^2+s2*x+...+s3
  syms s1 s2 s3 t
  f=s1*t^2+s2*t+s3;
% Definition of given values
    x=[0 0.2 0.5 0.7 0.8 1 1.2 1.6 1.9 2]';
    y=[5.2 4.3 4.4 4.9 5.5 6 6.2 8.4 8.9 10.9]';
% Definition of the matrix of normal equations and its solution
    A=[sum(x.^4) sum(x.^3) sum(x.^2);...
       sum(x.^3) sum(x.^2) sum(x);...
       sum(x.^2) sum(x)    length(x)];
    b=[sum(x.^2.*y) sum(x.*y) sum(y)]'; a=inv(A)*b
% Plot of given and approximation values
  f1=subs(f,{s1 s2 s3},{a(1) a(2) a(3)})
    ezplot(f1,[0 2]);
    hold on; stem(x,y,'or');
    grid on; xlabel('x'); ylabel('y'); title('APPROXIMATION');